Dim (rhino 1.7.15 API)

Package org.mozilla.javascript.tools.debugger

## Class Dim

- java.lang.Object
- - org.mozilla.javascript.tools.debugger.Dim

-     public class Dim
      extends java.lang.Object

  Dim or Debugger Implementation for Rhino.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Dim.ContextData` | Class to store information about a stack.
    `static class` | `Dim.FunctionSource` | Class to store information about a function.
    `static class` | `Dim.SourceInfo` | Class to store information about a script source.
    `static class` | `Dim.StackFrame` | Object to represent one stack frame.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `BREAK` |
    `static int` | `EXIT` |
    `static int` | `GO` |
    `static int` | `STEP_INTO` |
    `static int` | `STEP_OUT` |
    `static int` | `STEP_OVER` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Dim()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `attachTo​(ContextFactory factory)` | Attaches the debugger to the given ContextFactory.
    `void` | `clearAllBreakpoints()` | Clears all breakpoints.
    `void` | `compileScript​(java.lang.String url, java.lang.String text)` | Compiles the given script.
    `void` | `contextSwitch​(int frameIndex)` | Switches context to the stack frame with the given index.
    `Dim.ContextData` | `currentContextData()` | Returns the current ContextData object.
    `void` | `detach()` | Detaches the debugger from the current ContextFactory.
    `void` | `dispose()` | Releases resources associated with this debugger.
    `java.lang.String` | `eval​(java.lang.String expr)` | Evaluates the given script.
    `void` | `evalScript​(java.lang.String url, java.lang.String text)` | Evaluates the given script.
    `java.lang.String[]` | `functionNames()` | Returns an array of all function names.
    `Dim.FunctionSource` | `functionSourceByName​(java.lang.String functionName)` | Returns the FunctionSource object for the function with the given name.
    `java.lang.Object[]` | `getObjectIds​(java.lang.Object object)` | Returns an array of the property names on the given script object.
    `java.lang.Object` | `getObjectProperty​(java.lang.Object object, java.lang.Object id)` | Returns the value of a property on the given script object.
    `void` | `go()` | Resumes execution of script.
    `java.lang.String` | `objectToString​(java.lang.Object object)` | Converts the given script object to a string.
    `void` | `setBreak()` | Tells the debugger to break at the next opportunity.
    `void` | `setBreakOnEnter​(boolean breakOnEnter)` | Sets whether the debugger should break on function entering.
    `void` | `setBreakOnExceptions​(boolean breakOnExceptions)` | Sets whether the debugger should break on exceptions.
    `void` | `setBreakOnReturn​(boolean breakOnReturn)` | Sets whether the debugger should break on function return.
    `void` | `setGuiCallback​(GuiCallback callback)` | Sets the GuiCallback object to use.
    `void` | `setReturnValue​(int returnValue)` | Sets the action to perform to end interruption.
    `void` | `setScopeProvider​(ScopeProvider scopeProvider)` | Sets the ScopeProvider to be used.
    `void` | `setSourceProvider​(SourceProvider sourceProvider)` | Sets the ScopeProvider to be used.
    `Dim.SourceInfo` | `sourceInfo​(java.lang.String url)` | Returns the SourceInfo object for the given URL.
    `boolean` | `stringIsCompilableUnit​(java.lang.String str)` | Returns whether the given string is syntactically valid script.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STEP_OVER

          public static final int STEP_OVER

      See Also:
        Constant Field Values

    - #### STEP_INTO

          public static final int STEP_INTO

      See Also:
        Constant Field Values

    - #### STEP_OUT

          public static final int STEP_OUT

      See Also:
        Constant Field Values

    - #### GO

          public static final int GO

      See Also:
        Constant Field Values

    - #### BREAK

          public static final int BREAK

      See Also:
        Constant Field Values

    - #### EXIT

          public static final int EXIT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Dim

          public Dim()

  - ### Method Detail

    - #### setGuiCallback

          public void setGuiCallback​(GuiCallback callback)

      Sets the GuiCallback object to use.

    - #### setBreak

          public void setBreak()

      Tells the debugger to break at the next opportunity.

    - #### setScopeProvider

          public void setScopeProvider​(ScopeProvider scopeProvider)

      Sets the ScopeProvider to be used.

    - #### setSourceProvider

          public void setSourceProvider​(SourceProvider sourceProvider)

      Sets the ScopeProvider to be used.

    - #### contextSwitch

          public void contextSwitch​(int frameIndex)

      Switches context to the stack frame with the given index.

    - #### setBreakOnExceptions

          public void setBreakOnExceptions​(boolean breakOnExceptions)

      Sets whether the debugger should break on exceptions.

    - #### setBreakOnEnter

          public void setBreakOnEnter​(boolean breakOnEnter)

      Sets whether the debugger should break on function entering.

    - #### setBreakOnReturn

          public void setBreakOnReturn​(boolean breakOnReturn)

      Sets whether the debugger should break on function return.

    - #### attachTo

          public void attachTo​(ContextFactory factory)

      Attaches the debugger to the given ContextFactory.

    - #### detach

          public void detach()

      Detaches the debugger from the current ContextFactory.

    - #### dispose

          public void dispose()

      Releases resources associated with this debugger.

    - #### functionNames

          public java.lang.String[] functionNames()

      Returns an array of all function names.

    - #### functionSourceByName

          public Dim.FunctionSource functionSourceByName​(java.lang.String functionName)

      Returns the FunctionSource object for the function with the given name.

    - #### sourceInfo

          public Dim.SourceInfo sourceInfo​(java.lang.String url)

      Returns the SourceInfo object for the given URL.

    - #### clearAllBreakpoints

          public void clearAllBreakpoints()

      Clears all breakpoints.

    - #### currentContextData

          public Dim.ContextData currentContextData()

      Returns the current ContextData object.

    - #### setReturnValue

          public void setReturnValue​(int returnValue)

      Sets the action to perform to end interruption.

    - #### go

          public void go()

      Resumes execution of script.

    - #### eval

          public java.lang.String eval​(java.lang.String expr)

      Evaluates the given script.

    - #### compileScript

          public void compileScript​(java.lang.String url,
                                    java.lang.String text)

      Compiles the given script.

    - #### evalScript

          public void evalScript​(java.lang.String url,
                                 java.lang.String text)

      Evaluates the given script.

    - #### objectToString

          public java.lang.String objectToString​(java.lang.Object object)

      Converts the given script object to a string.

    - #### stringIsCompilableUnit

          public boolean stringIsCompilableUnit​(java.lang.String str)

      Returns whether the given string is syntactically valid script.

    - #### getObjectProperty

          public java.lang.Object getObjectProperty​(java.lang.Object object,
                                                    java.lang.Object id)

      Returns the value of a property on the given script object.

    - #### getObjectIds

          public java.lang.Object[] getObjectIds​(java.lang.Object object)

      Returns an array of the property names on the given script object.